#///////////////////////////////////////////////////////////////////////////////
#// $Id: 31_script.b,v 1.1 2002/12/24 19:06:57 gmaxe Exp $
#//
##! @file
##! @brief Checks out of CVS the appropriate code files. 
##!
##! For the tp_tools project where I eat-my-own-dog-food, the CVS checkout
##! captured in this file comes either a bit late or is needlessly repeated.
##! 
##! Why? Because I need to have the b script files and their associated
##! perl tools already checked out and up to date before I run them elsewhere.
##!
##! If this were a true code project, however, the 31*.b file would contain
##! a CVS checkout of code files that the tp_tools would then process.
##! Moreover, sometimes there are additional operations that my tools perform
##! immediately after a checkout, some of them related to the nature of the
##! code and others related to finding and extracting code elements in order
##! to create temporary files that the associated 32*.b would process.
##!
##! @note This file can be used as a template for other code directories
##! that Doxygen is being run against. Make sure than any new 30 files are
##! added to the 00 script files, in addition to appropriate
##! entries in the other script files.
##!
##! @ingroup tp_tools tp_shell
##!
##! @author Glenn C. Maxey
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: 31_script.b,v $
#// Revision 1.1  2002/12/24 19:06:57  gmaxe
#// New version in new structure.
#//
#//
#///////////////////////////////////////////////////////////////////////////////

# assumes that you are in the <rtfm/>techpubs/tp_tools directory  <home> where this
# script was found. ... 
echo "Entering 31_script.b ..."


####
# This comes a bit late. This is an example of a checkout,
# but it is commented out in this eat-your-own-dog-food example.
####
# echo "Update the tools needed for this task."
# cd /rtfm
# cvs update techpubs/tp_tools
# 
# echo "Back <home>."
# cd /rtfm/techpubs/tp_tools

# echo "chmod 775 *.b"
# chmod 775 *.b

# set ret_val = $status
# if ($ret_val > 0) then
#    echo "ERROR: Problems with 31_script.b ."
#    exit 1
# endif

exit 0
