#///////////////////////////////////////////////////////////////////////////////
#// $Id: 32_script.b,v 1.1 2002/12/24 19:06:59 gmaxe Exp $
#//
##! @file
##! @brief Runs a wrapper function for Doxygen on the selected project file.
##!
##! This calls the 35_gen_dox.b function which compartmentalizes several
##! steps that are repeated for every single (doxygen) project. When they
##! are placed in their own file, it makes the 32*.b files easier to maintain
##! across projects, because they are project specific. 
##!
##! @note This file can be used as a template for other code directories
##! that Doxygen is being run against. Make sure than any new 30 files are
##! added to the 00 script files, in addition to appropriate
##! entries in the other script files.
##!
##! @ingroup tp_tools tp_shell
##!
##! @author Glenn C. Maxey
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: 32_script.b,v $
#// Revision 1.1  2002/12/24 19:06:59  gmaxe
#// New version in new structure.
#//
#//
#///////////////////////////////////////////////////////////////////////////////

# assumes that you are in the <rtfm/>techpubs/tp_tools directory  <home> where this
# script was found. ... 
echo "Entering 32_tp_script.b ..."


35_gen_dox.b tp_script voyant_master_nav.html project_toc.txt
set ret_val = $status
if ($ret_val > 0) then
   echo "ERROR: Problems with 35_gen_dox.b tp_script ."
   exit 1
endif

exit 0
