#///////////////////////////////////////////////////////////////////////////////
#// $Id: 35_gen_tree.b,v 1.2 2002/12/24 21:36:22 gmaxe Exp $
#//
##! @file
##! @brief Calls tree_js_2_script.pl for the specified project.
##!
##! @param dox_path A portion of the path used to distinguish the project.
##! The final destination is assumed to be cref_<dox_path>. 
##! 
##! @param master_nav NOT USED. The name of an master HTML file that has 
##! common HTML fragments which are to be inserted in all generated HTML pages. 
##!
##! This is intended for doxygen projects that were previously generated.
##! This functionality has since been built into 35_gen_dox.b, so this
##! script doesn't have to be called as often.
##! 
##! It generates the mini-TOC script file which is later included in
##! the master TOC file.
##! 
##! @bug This does not use the master_nav file, but by keeping the same
##! input parameters as the 35_gen_dox.b, it is easier to call in scripts.
##! 
##! In addition, this only works on doxygen directories and assumes that 
##! they begin with cref_<dox_path>
##!
##! @ingroup tp_tools tp_shell
##!
##! @author Glenn C. Maxey
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: 35_gen_tree.b,v $
#// Revision 1.2  2002/12/24 21:36:22  gmaxe
#// Commented version.
#//
#//
#///////////////////////////////////////////////////////////////////////////////
# assumes that you are in the <rtfm/>techpubs/<home> directory 
# where this script resides
# This is a general script to simpify calling it from other places
# echo "Entering 32_gen_tree..."
# echo "Input argument $# $1 $2"

set dox_path=$1
set master_nav=$2

echo "Calling tree_js_2_script.pl ..."
/rtfm/techpubs/perl/tree_js_2_script.pl doc_publish/cref_${dox_path}/  doc_publish/cref_${dox_path}/tree.js
set ret_val = $status
if ($ret_val > 0) then
   echo "ERROR: Problems with tree_js_2_script.pl cref_${dox_path}."
   # exit 1
endif


cp doc_publish/cref_${dox_path}/tree.script zdoc_merge/tree_cref_${dox_path}.script

echo "Okay 35_gen_tree.b ${dox_path} ${master_nav}"
exit 0
