#///////////////////////////////////////////////////////////////////////////////
#// $Id: 40_latex_build.b,v 1.2 2002/12/24 19:00:38 gmaxe Exp $
#//
##! @file
##! @brief Prepares the Latex template files and then generates 
##! ultimately PDF files from the Doxygen Latex output.
##!
##! The 40*.b file is project specific and can contain multiple calls
##! to the 45*.b file. The 45*.b file contains commands specific to 
##! doxygen's implementation of generating Latex and PDF files.
##! Its steps were compartmentalized into its own files to facilitate
##! maintenance and to make the project specific 40*.b files easier
##! to understand.
##!
##! @note This file needs to be updated to support other code directories.
##!
##! @ingroup tp_tools tp_shell
##!
##! @author Glenn C. Maxey
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: 40_latex_build.b,v $
#// Revision 1.2  2002/12/24 19:00:38  gmaxe
#// New structure and new version using TOC and all.
#//
#//
#///////////////////////////////////////////////////////////////////////////////

# assumes that you are in the <rtfm/>techpubs/tp_tools directory  <home> where this
# script was found. ... 
echo "Entering 40_latex_build..."

echo "Create the Doxygen header.tex and doxygen.sty files that are unique for this project."
# echo "src_perl/voyant_latex.pl ./ voyant_master_nav.html"
# src_perl/voyant_latex.pl ./ voyant_master_nav.html
echo "/rtfm/techpubs/perl/voyant_latex.pl ./ project_toc.txt  /rtfm/techpubs/web_files/latex_variables.txt"
/rtfm/techpubs/perl/voyant_latex.pl ./ project_toc.txt /rtfm/techpubs/web_files/latex_variables.txt

set ret_val = $status
if ($ret_val > 0) then
   echo "ERROR: Problems with voyant_latex.pl ."
   exit 1
endif

echo "Generate all PDF files."

45_latex_gen.b tp_perl
set ret_val = $status
if ($ret_val > 0) then
   echo "ERROR: Problems with 45_latex_gen.b tp_tools ."
   exit 1
endif

45_latex_gen.b tp_script
set ret_val = $status
if ($ret_val > 0) then
   echo "ERROR: Problems with 45_latex_gen.b tp_tools ."
   exit 1
endif

exit 0
