#!/usr/local/bin/perl

#///////////////////////////////////////////////////////////////////////////////
##! @file
##! @brief Tool for Doxygen for most C/C++ code files.
##! 
##! This changes Doxgyen commands to a style that is more readable.
##! Forward and backward slashes make my eyes dizzy and aren't in the
##! JavaDoc convention. 
##!
##! This file isn't used any more. Back when we started using Doxygen, we
##! did not have a good handle on how to structure comments, how to format
##! commands, etc. This tool fixes a mistaken direction taken in the early
##! efforts.
##!
##! @param Input source file.
##! @return Output is file with changes.
##!
##! @ingroup tp_tools tp_dox
##!
##! @author Glenn C. Maxey
#// $Id: dox_chg_not.pl,v 1.4 2002/01/16 19:49:07 gmaxe Exp $
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: dox_chg_not.pl,v $
#// Revision 1.4  2002/01/16 19:49:07  gmaxe
#// Removed much of revision history in comments.
#//
#// Revision 1.3  2002/01/03 00:25:06  gmaxe
#// Changed the license agreement.
#//
#///////////////////////////////////////////////////////////////////////////////

NEW_LINE: while (<>) {

   ######### Begin replacement of Doxygen commands
   if (/\\bug/) {
      $_ =~ s/\\bug/\@bug/;
   } 

   if (/\\param/) {
      $_ =~ s/\\param/\@param/;
   } 

   if (/\\brief/) {
      $_ =~ s/\\brief/\@brief/;
   } 

   if (/\\retval/) {
      $_ =~ s/\\retval/\@retval/;
   } 

   if (/\\return/) {
      $_ =~ s/\\return/\@return/;
   } 

   if (/\\ingroup/) {
      $_ =~ s/\\ingroup/\@ingroup/;
   } 

   if (/\\bug/) {
      $_ =~ s/\\bug/\@bug/;
   } 

   if (/\\note/) {
      $_ =~ s/\\note/\@note/;
   } 
   ######### End replacement of Doxygen commands
   
   # Default Fall through
   print $_;

}  







