#! /usr/bin/perl

$infile = $ARGV[0];
sysopen(INFILE, $infile, 0) || die "ERROR! Can't open \"$infile\": $!\n";
$/ = undef;
$_ = <INFILE>;
# This regular expression came from the perfaq, but I modified it to also
# handle C++ style comments. The comments show up in $1 and the non-comments
# are in $4.
s{
       (/(/[^\n]*      ## C++ comment
        | \*          ##  Start of /* ... */ comment
          [^*]*\*+    ##  Non-* followed by 1-or-more *'s
         (
         [^/*][^*]*\*+
         )*          ##  0-or-more things which don't start with /
                     ##    but do end with '*'
         /)           ##  End of /* ... */ comment
       )
     |         ##     OR  various things which aren't comments:
       (
         "           ##  Start of " ... " string
         (
           \\.           ##  Escaped char
         |               ##    OR
           [^"\\]        ##  Non "\
         )*
         "           ##  End of " ... " string
       |         ##     OR
         '           ##  Start of ' ... ' string
         (
           \\.           ##  Escaped char
         |               ##    OR
           [^'\\]        ##  Non '\
         )*
         '           ##  End of ' ... ' string
       |         ##     OR
         .           ##  Anything other char
         [^/"'\\]*   ##  Chars which doesn't start a comment, string or escape
       )
     }{process_comment($1).$4}gexs;
print;

# This subroutine gets the old comment in as an argument. You can process it
# to add doxygen fields and return the new comment. 
# Then add in your doxygen configuration file use
# INPUT_FILTER = "perl doxygenate.pl"
sub process_comment 
  {
  $comment = shift;
  $comment =~ s{/\*}{/*! }; # Make block comments Doxygen...
  $comment =~s{//}{//! };  # Make single line comments doxygen...
  return $comment;
  }
