#!/usr/local/bin/perl

#///////////////////////////////////////////////////////////////////////////////
##! @file
##! @brief Strip out all HTML except for href's.
##! 
##!
##! @param Input source file.
##! @return Output is file with changes.
##!
##! @ingroup tp_tools tp_dox
##!
##! @author Glenn C. Maxey
##
#// $Id: strip_html.pl,v 1.1 2002/02/28 00:43:01 gmaxe Exp $
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: strip_html.pl,v $
#// Revision 1.1  2002/02/28 00:43:01  gmaxe
#// New file for stripping down an HTML file for purposes of a list.
#//
#// Revision 1.1  2002/02/16 00:59:40  gmaxe
#// Added support for script files needed for TOC applet.
#//
#//
#///////////////////////////////////////////////////////////////////////////////

BEGIN {
   $href = "";  # hyperlink stuff
   $separator0 = "\;0\;";
   $separator1 = "\;1\;";
   $line_count = 0;
   $in_buffer = "";
   $out_buffer = "";
}


#####
# main program
#####
{
   NEW_LINE: while (<>) {
      # Read in entire file into buffer
      $in_buffer .= $_;
   }
   if (0) {
      print "We think we read it in.\n";
      print $in_buffer;
   }

   $out_buffer = $in_buffer;

   while ($out_buffer =~ /\</) {
      @html_tag0 = split (/\</, $out_buffer, 2);
      $out_buffer .= $html_tag0[0];
    
      if ($html_tag0[1] =~ /\>/) {
         @html_tag1 = split (/\>/, $html_tag0[1], 2);
      } else {
         print "ERROR: Unmatching \< and \>\n";
      }
      if (($html_tag1[0] =~ /^a[\s+]/i) && ($html_tag1[0] =~ /href/i)) {
         $href = "$separator0$html_tag1[0]$separator1";
         if (0){
            print "href:$href\n";
         }
         $href = &get_rid_of_tag_params ($href, "class\=");
         $href = &get_rid_of_tag_params ($href, "target\=");
         # get rid of carriage returns from within the hyperlink
         $href =~ s/\n//g;
         if (0){
            print "href:$href\n";
         }
      } else {
         $href = "";
      }
      # rebuild line without what's in the middle, except for href.
      $out_buffer = "$html_tag0[0]$href$html_tag1[1]";
   } # while there are HTML tags to remove

   $out_buffer =~ s/$separator0/\</g;
   $out_buffer =~ s/$separator1/\>/g;
   $out_buffer =~ s/\r//g;
   while ($out_buffer =~ /[\s+]\n$/){
      $out_buffer =~ s/[\s+]\n$/\n/g;
   }
   while ($out_buffer =~ /[\s*]\n[\s*]\n/){
      $out_buffer =~ s/[\s*]\n[\s*]\n/\n/g;
      $out_buffer =~ s/\n/\r\n/g;
   }
   
   
   if (1) {
      # The true output; conditional helps in trouble shooting.
      print $out_buffer;
   }

} # main program




########
# get_rid_of_tag_params
########
sub get_rid_of_tag_params {
   $tag = $_[0];
   $param = $_[1];
   $delimiter = "\"";
   
   @section0 = split (/[\s]+$param/i, $tag, 2);
   @section1 = split (/$delimiter/, $section0[1], 3);
   
   #rebuild
   $out = "$section0[0]$section1[2]";
   return ($out);
} # get_rid_of_tag_param






