/*****************************************************************************/
/** @file
**  @mainpage
**
**
** Technical Publications (TechPubs) Tools are Perl programs
** that are used to create a comprehensive HTML system from mini-HTML systems
** created by Doxygen and Mif2Go.
**
** These tools describes one possible solution to tackle two major tasks 
** associated with application programming interface (API) technical 
** publications:<ul>
**
** <li>Multiple output formats (HTML and PDF) that are single-sourced from
** (FrameMaker) documentation in a modular way.</li>
**
** <li>API reference documentation that is single-sourced from the (C/C++) 
** source code into multiple output formats.</li></ul>
**
** Although the TechPubTools and techniques were designed specifically for 
** C/C++ API documentation, they can be adopted and modified:<ul>
**
** <li>to produce large online documentation systems from multiple FrameMaker 
** books.</li>
** <li>to produce large online documentation systems from multiple Doxygen
** directories.</li>
** <li>to handle (imperfectly) other programming languages.</li></ul>
**
** @warning The Perl Reference portion of this documentation has imperfections 
** stemming from running Perl files through Doxygen, which was designed to 
** handle C/C++. 
**
** @bug Permission to use, copy, modify, and distribute this software and its 
** documentation under the terms of the GNU General Public License is hereby 
** granted. No representations are made about the suitability of this software 
** for any purpose. It is provided "as is" without express or implied warranty. 
** See the GNU General Public License 
** (<a target="blank" href="http://www.gnu.org/copyleft/gpl.html">http://www.gnu.org/copyleft/gpl.html)</a>
** for more details.
** 
** @note Documents produced by these tools are derivative works derived 
** from the input used in their production; they are not affected by this 
** license.
**
**
** <center><a target="top" href="http://www.voyanttech.com">
** <img src="voyant.gif" ALT="Open new window to www.voyanttech.com." border="0">
** </a></center>
**
** @ingroup tp_tools
**/
/*****************************************************************************/




/*****************************************************************************/
// Standard Coding groups
/*****************************************************************************/
/** @defgroup tp_tools TechPubs Tools
 ** @brief Tools for technical publications departments.
 **/

/** @defgroup tp_idx Indexer Tools
 ** @brief Creates a comprehensive index from previously generated index_ files.
 ** @ingroup tp_tools
 **/

/** @defgroup tp_nav Navigation Tools
 ** @brief Swaps out navigation, creates temporary TOC files and index_ files.
 ** @ingroup tp_tools
 **/

/** @defgroup tp_dox Doxygen Filter Tools
 ** @brief Provides input filter to "fake-out" Doxygen into thinking it has
 ** C code.
 ** @ingroup tp_tools
 **/

/** @defgroup tp_toc Table of Contents Tool
 ** @brief Generates master tree files from previously generated tree files
 ** to get master table of contents.
 ** @ingroup tp_tools
 **/

/** @defgroup tp_latex Latex Tool
 ** @brief Provides minor updating to LaTex files.
 ** @ingroup tp_tools
 **/

/** @defgroup tp_shell Unix Shell Scripts
 ** @brief Script files that control building and generating the system.
 ** @ingroup tp_tools
 **/

